﻿using Syncfusion.Windows.Controls.Grid;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication4
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            gridControl.Model.RowCount = 10;
            gridControl.Model.ColumnCount = 6;

            for (int i = 1; i < gridControl.Model.RowCount; i++)
            {
                for (int j = 1; j < gridControl.Model.ColumnCount; j++)
                {
                    gridControl.Model[i, j].CellValue = j*i;
                }
            }
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            this.gridControl.Model.VolatileCellStyles.Clear();
            this.gridControl.Model.Data.Clear();
            this.gridControl.InvalidateCells();
        }
    }
}
